Bug 204623 - graphics/digikam-kde4: update to 4.14.0
Summary: graphics/digikam-kde4: update to 4.14.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-17 08:46 UTC by graham
Modified: 2016-04-14 19:09 UTC (History)
2 users (show)

See Also:
rakuco: maintainer-feedback+


Attachments
svn diff of patch (8.56 KB, patch)
2015-11-17 08:46 UTC, graham
no flags Details | Diff
Diff against r412365 (151.67 KB, patch)
2016-04-06 09:56 UTC, groot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description graham 2015-11-17 08:46:24 UTC
Created attachment 163240 [details]
svn diff of patch

The attached patch updates the graphics/digikam-kde4 port from 4.2.0 to 4.14.0.

It is based on the patch included in the mailing list message https://www.mail-archive.com/kde-freebsd@kde.org/msg18310.html which updates to 4.8.0.
Comment 1 graham 2015-11-17 09:26:36 UTC
90% of the credit for this goes to Tobias Berner
Comment 2 groot 2016-03-10 15:11:21 UTC
Since this patch was made,
 - digikam has updated to v4.12.0 in area51 (so the patch doesn't apply cleanly).
 - libkgeomap has disappeared from the digikam source tarball. I think it's now released separately. That does mean re-doing the libkgeomap port more thoroughly.

So some additional wrestling is needed before this can go to area51.
Comment 3 groot 2016-03-28 20:48:36 UTC
digikam in area51 is now 4.14, with ports for libkgeomap and libkface pulling from KDE Applications instead of the digikam tarball.
Comment 4 groot 2016-04-06 09:56:12 UTC
Created attachment 169030 [details]
Diff against r412365

This patch is against current ports.

 - updates libkface and libgeomap
 - builds libmediawiki from digikam 4.12
 - updates digikam to 4.14
 - updates kipi-plugins to 4.14

I've included a MOVED entry, because kipi-plugin-googleservices subsumes -googledrive and -picasawebexport.

Tested only on 10.2-amd64 with poudriere.
Comment 5 groot 2016-04-06 11:28:54 UTC
That latest patch re-adds a ${PORTSDIR} that has recently been removed from official ports; ${PORTSDIR}/ should be removed from graphics/digikam-kde4/Makefile.common
Comment 6 graham 2016-04-08 00:27:38 UTC
I've successfully built from area51 on amd64 and FreeBSD-Current. It required two small changes:

Remove the 'extern "C" {...}' from around '#include <lensfun.h>' in digikam-4.14.0/core/libs/dimg/filters/lens/lensfuniface.h. This fix came from https://bugs.kde.org/show_bug.cgi?id=356672

Use the system ar rather than the port's one to build webkit-gtk2 as suggested in https://lists.freebsd.org/pipermail/freebsd-ports/2015-January/097595.html. I just prefixed the make command with 'AR=/usr/bin/ar' rather than changing any files.

Anyway, digikam seems to work correctly. This fixes a major problem I had with cropping in 4.2.0.

Thanks very much for your work.
Comment 7 commit-hook freebsd_committer 2016-04-14 18:38:53 UTC
A commit references this bug:

Author: rakuco
Date: Thu Apr 14 18:38:00 UTC 2016
New revision: 413309
URL: https://svnweb.freebsd.org/changeset/ports/413309

Log:
  bsd.kde4.mk: Add KDE4_APPLICATIONS_{VERSION,BRANCH}.

  At the moment they correspond to the latest KDE Applications release with
  mostly KDE4-compatible applications.

  These are going to be used by the upcoming DigiKam update (some ports have
  been split off the main DigiKam tarball and are part of the regular KDE SC
  releases). It will also be used once we add KDE Frameworks 5 and Plasma 5 to
  the tree.

  PR:		204623

Changes:
  head/Mk/bsd.kde4.mk
Comment 8 commit-hook freebsd_committer 2016-04-14 19:06:59 UTC
A commit references this bug:

Author: rakuco
Date: Thu Apr 14 19:06:42 UTC 2016
New revision: 413310
URL: https://svnweb.freebsd.org/changeset/ports/413310

Log:
  Update DigiKam and related ports to 4.14.0.

  This is a huge leap, as we are moving from 4.2.0 (released in August 2014) to
  4.14.0 (released in October 2015). Version 4.14.0 is the last KDE4-based
  release, and 5.0.0 will be based on KDE Frameworks 5.

  Noteworthy port changes:
  - Most patches in graphics/digikam-kde4 are no longer necessary.
  - graphics/kipi-plugin-googledrive and graphics/kipi-plugin-picasaweb have
    been merged into graphics/kipi-plugin-googleservices following what
    upstream did to those plugins.
  - astro/libkgeomap and graphics/libkface are no longer included in the
    DigiKam tarball and are now completely independent ports whose tarballs
    are released as part of KDE Applications.
  - net/libmediawiki is neither included in the DigiKam tarball nor released
    as a separate tarball, so we had to resort to fetching it from an older
    DigiKam release which contains it.
  - graphics/digikam-kde4 now has a runtime dependency on x11/kde4-runtime.
    See bug 203222 for details.

  A lot of people have contributed to this update over the years in our
  experimental area51 repository. Tobias Berner (our usual suspect), Adriaan
  de Groot, makc@, alonso@ and jhale@ at the very least.

  PR:		203222
  PR:		204623
  Submitted by:	Tobias Berner <tcberner@gmail.com>,
  		Adriaan de Groot <groot@kde.org>,
  		alonso,
  		jhale,
  		makc,
  		rakuco

Changes:
  head/MOVED
  head/UPDATING
  head/astro/libkgeomap/Makefile
  head/astro/libkgeomap/distinfo
  head/astro/libkgeomap/pkg-plist
  head/graphics/Makefile
  head/graphics/digikam-kde4/Makefile
  head/graphics/digikam-kde4/Makefile.common
  head/graphics/digikam-kde4/distinfo
  head/graphics/digikam-kde4/files/patch-CMakeLists.txt
  head/graphics/digikam-kde4/files/patch-cmake__modules__FindPGF.cmake
  head/graphics/digikam-kde4/files/patch-cmake__modules__MacroUtils.cmake
  head/graphics/digikam-kde4/files/patch-digikam__CMakeLists.txt
  head/graphics/digikam-kde4/files/patch-digikam__album__albumwatch.cpp
  head/graphics/digikam-kde4/files/patch-git-r2ad23d-lensfun-fix
  head/graphics/digikam-kde4/files/patch-libs_3rdparty_cimg_CImg.h
  head/graphics/digikam-kde4/files/patch-libs_3rdparty_kmemoryinfo_kmemoryinfo__backend.cpp
  head/graphics/digikam-kde4/files/patch-libs__3rdparty__kmemoryinfo__kmemoryinfo_backend.cpp
  head/graphics/digikam-kde4/files/patch-utilities_fuzzysearchview_fuzzysearchview.cpp
  head/graphics/digikam-kde4/pkg-plist
  head/graphics/digikam-kde4-l10n/pkg-plist
  head/graphics/kipi-plugin-dngconverter/pkg-plist
  head/graphics/kipi-plugin-googledrive/
  head/graphics/kipi-plugin-googleservices/
  head/graphics/kipi-plugin-googleservices/Makefile
  head/graphics/kipi-plugin-googleservices/pkg-plist
  head/graphics/kipi-plugin-picasawebexport/
  head/graphics/kipi-plugin-videoslideshow/Makefile
  head/graphics/kipi-plugins-kde4/Makefile
  head/graphics/kipi-plugins-kde4/files/extrapatch-CMakeLists.txt
  head/graphics/kipi-plugins-kde4/files/extrapatch-extra_kipi_plugins_cmakelists.patch
  head/graphics/libkface/Makefile
  head/graphics/libkface/distinfo
  head/graphics/libkface/pkg-plist
  head/graphics/libkipiplugins/files/
  head/graphics/libkipiplugins/files/patch-git_e384f949
  head/net/libmediawiki/Makefile
  head/net/libmediawiki/distinfo
Comment 9 Raphael Kubo da Costa freebsd_committer 2016-04-14 19:09:13 UTC
YES! It finally happened. Thanks everyone for their work and testing, I can't believe this is out of the door at last.